package cn.wisenergy.mapper;

import cn.wisenergy.model.dto.WorkTimeAndCostCollect;

import java.util.List;
import java.util.Map;

/**
 * @description:
 * @author: nh
 * @create: 2021-02-07 11:09
 **/
public interface WorkProjectTimeCostMapper {

    /**
     * 根据添加查询项目统计信息
     */
    void statisticsTimeOrderByMonth();

    /**
     * 统计项目总工时和成本，按月统计
     * @param map
     */
    List<WorkTimeAndCostCollect> selectList(Map<String, Object> map);

    /**
     * 删除月份大于参数的统计数据
     * @return
     */
    int deleteStatisticsByQuarter(String date);
}
